Loading...
Searching...
No Matches
unique_cap File Reference

Unique_cap / Unique_del_cap. More...

`#include <l4/re/util/cap_alloc>`
`#include <l4/sys/cxx/smart_capability_1x>`
Include dependency graph for unique_cap:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.
namespace | L4Re::Util
| Documentation of the L4 Runtime Environment utility functionality in C++.

## Typedefs

template<typename T>
using | L4Re::Util::Unique_cap = L4::Detail::Unique_cap_impl<T, Smart_cap_auto<L4_FP_ALL_SPACES>>
| Unique capability that implements automatic free and unmap of the capability selector.
template<typename T>
using | L4Re::Util::unique_cap = L4::Detail::Unique_cap_impl<T, Smart_cap_auto<L4_FP_ALL_SPACES>>
| Unique capability that implements automatic free and unmap of the capability selector.
template<typename T>
using | L4Re::Util::Unique_del_cap = L4::Detail::Unique_cap_impl<T, Smart_cap_auto<L4_FP_DELETE_OBJ>>
| Unique capability that implements automatic free and unmap+delete of the capability selector.
template<typename T>
using | L4Re::Util::unique_del_cap = L4::Detail::Unique_cap_impl<T, Smart_cap_auto<L4_FP_DELETE_OBJ>>
| Unique capability that implements automatic free and unmap+delete of the capability selector.

## Functions

template<typename T>
Unique_cap< T > | L4Re::Util::make_unique_cap ()
| Allocate a capability slot and wrap it in an Unique_cap.
template<typename T>
Unique_del_cap< T > | L4Re::Util::make_unique_del_cap ()
| Allocate a capability slot and wrap it in an Unique_del_cap.

## Detailed Description

Unique_cap / Unique_del_cap.

Definition in file unique_cap.